Document Management System

by
Odoo
v 14.0 Third Party 11660
Download for v 14.0 Deploy on Odoo.sh
Lines of code 250
Technical Name document_management_system
LicenseLGPL-3
Websitehttps://renjie.me
Also available in version v 13.0 v 12.0 v 9.0 v 10.0 v 8.0 v 11.0
You bought this module and need support? Click here!
Lines of code 250
Technical Name document_management_system
LicenseLGPL-3
Websitehttps://renjie.me
Also available in version v 13.0 v 12.0 v 9.0 v 10.0 v 8.0 v 11.0

Document Management System

Enterprise online document management

Kanban View

Tree path, parent and child, description and color

List View

Document details, sorting and grouping, batch operation

Form View

Online editing, moving position, support attachment

Discuss Panel

Everyone can participate

Access Rights

General users can read, manage users can write

Advanced plug-in

Odoo/OpenERP Full Stack Customization and Development

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
There are no ratings yet!
Cannot import module
by
Jorge Tupac-Yupanqui
on 7/11/21, 11:10 PM

Trying to install Document Management System for v 14.0. Ubuntu 20.04.2 LTS inside VirtualBox. Importing module shows the following error:

Error while importing module 'document_management_system'. Module loading document_management_system failed: file /tmp/tmpaqz1zd5d/document_management_system/security/ir.model.access.csv could not be processed: No matching record found for external id 'model_document_document' in field 'Model' No matching record found for external id 'model_document_document' in field 'Model' Missing required value for the field 'Model' (model_id) Missing required value for the field 'Model' (model_id) Make sure those modules are installed and try again.


by
ladylene@narratreeconsulting.com
on 6/23/21, 3:40 AM

please contact me: allan.dimasuay@narratreeconsulting.com

+6587495624


by
ladylene@narratreeconsulting.com
on 6/23/21, 3:40 AM

Hi, 

I have downloaded this module and installed on-premise.  However, I encountered many issues regarding document management and even other modules.  I tried to uninstall it but it also giving me problem (See below).  So I am stuck.  Please help how to uninstall this module.

  • Error:

  • Odoo Server Error


  • Traceback (most recent call last):

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\addons\base\models\ir_http.py", line 237, in _dispatch

  •     result = request.dispatch()

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 683, in dispatch

  •     result = self._call_function(**self.params)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 359, in _call_function

  •     return checked_call(self.db, *args, **kwargs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\service\model.py", line 94, in wrapper

  •     return f(dbname, *args, **kwargs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 347, in checked_call

  •     result = self.endpoint(*a, **kw)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 912, in __call__

  •     return self.method(*args, **kw)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 531, in response_wrap

  •     response = f(*args, **kw)

  •   File "d:\odooerp\noblelifeerp\odoo\addons\web\controllers\main.py", line 1364, in call_kw

  •     return self._call_kw(model, method, args, kwargs)

  •   File "d:\odooerp\noblelifeerp\odoo\addons\web\controllers\main.py", line 1356, in _call_kw

  •     return call_kw(request.env[model], method, args, kwargs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\api.py", line 396, in call_kw

  •     result = _call_kw_multi(method, model, args, kwargs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\api.py", line 383, in _call_kw_multi

  •     result = method(recs, *args, **kwargs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 6197, in onchange

  •     snapshot1 = Snapshot(record, nametree)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 5999, in __init__

  •     self.fetch(name)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 6007, in fetch

  •     self[name] = [Snapshot(line, tree[name]) for line in record[name]]

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 6007, in <listcomp>

  •     self[name] = [Snapshot(line, tree[name]) for line in record[name]]

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 5999, in __init__

  •     self.fetch(name)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 6009, in fetch

  •     self[name] = record[name]

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 5640, in __getitem__

  •     return self._fields[key].__get__(self, type(self))

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\fields.py", line 999, in __get__

  •     self.compute_value(recs)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\fields.py", line 1138, in compute_value

  •     records._compute_field_value(self)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\models.py", line 4035, in _compute_field_value

  •     getattr(self, field.compute)()

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\addons\base\models\ir_model.py", line 202, in _compute_count

  •     records = self.env[model.model]

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\api.py", line 473, in __getitem__

  •     return self.registry[model_name]._browse(self, (), ())

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\modules\registry.py", line 177, in __getitem__

  •     return self.models[model_name]

  • Exception


  • The above exception was the direct cause of the following exception:


  • Traceback (most recent call last):

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 639, in _handle_exception

  •     return super(JsonRequest, self)._handle_exception(exception)

  •   File "D:\OdooERP\NobleLifeERP\odoo\odoo\http.py", line 315, in _handle_exception

  •     raise exception.with_traceback(None) from new_cause

  • KeyError: 'document.document'